org.apache.fop.pdf

## Class PDFDPartRoot

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFDPartRoot

All Implemented Interfaces:
  PDFWritable

    public class PDFDPartRoot
    extends PDFDictionary

### Field Summary

Fields
`protected PDFDPart` `dpart`

### Fields inherited from class org.apache.fop.pdf.PDFDictionary

`entries, order`

### Fields inherited from class org.apache.fop.pdf.PDFObject

`log`

### Constructor Summary

Constructors
Constructor and Description
`PDFDPartRoot(PDFDocument document)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(PDFDPart part)`

### Methods inherited from class org.apache.fop.pdf.PDFDictionary

`containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

### Methods inherited from class org.apache.fop.pdf.PDFObject

`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDF, toPDFString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dpart

    protected PDFDPart dpart

### Constructor Detail

#### PDFDPartRoot

    public PDFDPartRoot(PDFDocument document)

### Method Detail

#### add

    public void add(PDFDPart part)